Bug 1284659 - centralized logging - fluentd is blocked from accessing Cinder logs
centralized logging - fluentd is blocked from accessing Cinder logs
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: z5
: 7.0 (Kilo)
Assigned To: Eric Harney
Gabriel Szasz
: Triaged, ZStream
Depends On: 1249751
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 14:42 EST by Artom Lifshitz
Modified: 2016-04-29 10:34 EDT (History)
23 users (show)

See Also:
Fixed In Version: openstack-cinder-2015.1.2-7.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1249751
Environment:
Last Closed: 2016-01-26 11:17:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Lon Hohberger 2016-01-26 11:17:55 EST
This was resolved by openstack-cinder-2015.1.2-5.el7ost, available from the OpenStack 7 repository.

The current permissions are:

%dir %attr(0750, cinder, cinder) %{_localstatedir}/log/cinder
Comment 4 Radek Bíba 2016-04-14 06:47:56 EDT
(In reply to Lon Hohberger from comment #3)
> This was resolved by openstack-cinder-2015.1.2-5.el7ost, available from the
> OpenStack 7 repository.
> 
> The current permissions are:
> 
> %dir %attr(0750, cinder, cinder) %{_localstatedir}/log/cinder

That doesn't seem to be the case:

%dir %attr(0750, cinder, root) %{_localstatedir}/log/cinder
...
%changelog
* Fri Dec 04 2015 Eric Harney <eharney@redhat.com> 2015.1.2-5
- Revert Filter-snapshots-data-on-the-DB-side (RHBZ #1287621)

* Thu Dec 03 2015 Jon Bernard <jobernar@redhat.com> 2015.1.2-4
...

# ll -d /var/log/{keystone,nova,neutron,cinder,glance}
drwxr-x---. 2 cinder   root       98 Apr 13 09:51 /var/log/cinder
drwxr-x---. 2 glance   glance     39 Apr 13 09:49 /var/log/glance
drwxr-x---. 2 keystone keystone   25 Apr 13 09:44 /var/log/keystone
drwxr-x---. 2 neutron  neutron  4096 Apr 13 10:18 /var/log/neutron
drwxr-x---. 2 nova     nova     4096 Apr 14 03:14 /var/log/nova
# rpm -q openstack-cinder 
openstack-cinder-2015.1.2-5.el7ost.noarch

Any ideas?
Comment 5 Radek Bíba 2016-04-14 06:50:34 EDT
I might add that -5 is the latest available release in the OSP 7 repo:

# yumdownloader --url openstack-cinder
Loaded plugins: product-id
https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/openstack/7.0/os/Packages/openstack-cinder-2015.1.2-5.el7ost.noarch.rpm
Comment 6 Radek Bíba 2016-04-29 10:34:11 EDT
OK, a newer version, openstack-cinder-2015.1.3-5.el7ost, has been released.

Note You need to log in before you can comment on or make changes to this bug.